# norootforbuild
%define pkg_name    ZendOptimizer
%define pkg_version 3.3.9
%define php_version %(php-config --version 2>/dev/null)

#
Name:		php5-zendoptimizer
Version:	%{pkg_version}
Release:	2.2
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel gcc gcc-c++
Requires:	php5 = %{php_version}
#
URL:		http://www.zend.com/
%ifarch x86_64
Source0:	%{pkg_name}-%{version}-linux-glibc23-x86_64.tar.gz
%else
Source0:	%{pkg_name}-%{version}-linux-glibc23-i386.tar.gz
%endif
Summary:	This package contains the Zend Optimizer from Zend Technologies Ltd

%description
This package contains the Zend Optimizer from Zend Technologies Ltd.

%prep
%ifarch x86_64 
%setup -n %{pkg_name}-%{version}-linux-glibc23-x86_64
%else
%setup -n %{pkg_name}-%{version}-linux-glibc23-i386
%endif

%build

%install
%__install -D data/5_2_x_comp/%{pkg_name}.so %{buildroot}%{_libdir}/php5/extensions/%{pkg_name}.so
#%__install -D data/5_2_x_comp/TS/%{pkg_name}.so %{buildroot}%{_libdir}/php5/extensions/TS/%{pkg_name}.so 
#%__install -D data/ZendExtensionManager.so %{buildroot}%{_libdir}/ZendExtensionManager.so
#%__install -D data/ZendExtensionManager_TS.so %{buildroot}%{_libdir}/ZendExtensionManager_TS.so
#%__install -D data/zendid %{buildroot}%{_bindir}/zendid
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable %{pkg_name} extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/zendoptimizer.ini
echo "; extension = %{pkg_name}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendoptimizer.ini
echo "zend_extension = %{_libdir}/php5/extensions/%{pkg_name}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendoptimizer.ini

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README-ZendOptimizer EULA-ZendOptimizer
#%doc data/doc/Zend_Optimizer_User_Guide.pdf
%config(noreplace) %{_sysconfdir}/php5/conf.d/zendoptimizer.ini
%defattr(0755,root,root)
#%{_bindir}/zendid
#%dir %{_libdir}/php5/extensions/TS
%{_libdir}/php5/extensions/%{pkg_name}.so
#%{_libdir}/php5/extensions/TS/%{pkg_name}.so
#%{_libdir}/ZendExtensionManager.so
#%{_libdir}/ZendExtensionManager_TS.so

%changelog
* Fri Feb 04 2011 Carsten Schoene <cs@linux-administrator.com> - .3.3.9-1
- update to release 3.3.9
* Sat Jan 31 2009 Carsten Schoene <cs@linux-administrator.com>
- initial build version 3.3.3
